Package com.independentsoft.office.odf.fields

# Enum Class VariableValueType

java.lang.Object
java.lang.Enum<VariableValueType>
com.independentsoft.office.odf.fields.VariableValueType

All Implemented Interfaces:
  `Serializable`, `Comparable<VariableValueType>`, `Constable`

public enum VariableValueType extends Enum<VariableValueType>
Represents the value-type of the variable.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOOLEAN`
  Boolean value.
  `CURRENCY`
  Numeric value and currency symbol.
  `DATE`
  Date value.
  `FLOAT`
  Numeric value.
  `PERCENTAGE`
  Numeric value.
  `STRING`
  String value.
  `TIME`
  Time value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VariableValueType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static VariableValueType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FLOAT

    public static final VariableValueType FLOAT
    Numeric value.

  - ### PERCENTAGE

    public static final VariableValueType PERCENTAGE
    Numeric value.

  - ### CURRENCY

    public static final VariableValueType CURRENCY
    Numeric value and currency symbol.

  - ### DATE

    public static final VariableValueType DATE
    Date value.

  - ### TIME

    public static final VariableValueType TIME
    Time value.

  - ### BOOLEAN

    public static final VariableValueType BOOLEAN
    Boolean value.

  - ### STRING

    public static final VariableValueType STRING
    String value.

- ## Method Details

  - ### values

    public static VariableValueType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VariableValueType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null